summaryrefslogtreecommitdiffstats
path: root/jjb/vvp
diff options
context:
space:
mode:
authorHagop Bozawglanian <hagop.bozawglanian@att.com>2020-01-20 15:36:33 -0800
committerHagop Bozawglanian <hagop.bozawglanian@att.com>2020-01-20 15:36:33 -0800
commit30c099fa202a85a57770ead418cba82c5fb670d2 (patch)
treedbad786f05f7fe47fc40b3ec999d41ed96f58170 /jjb/vvp
parentf8c143a03d409b84b32b18828399faffbb7b9454 (diff)
VVP - Updating jenkins jobs to use python3
Need to update the jenkins jobs that build and upload artifacts to python 3 to run properly. Issue-ID: VVP-363 Signed-off-by: Hagop Bozawglanian <hagop.bozawglanian@att.com> Change-Id: I61e8cae5e929d1bd4adebeb0e2d79544889231f2
Diffstat (limited to 'jjb/vvp')
-rw-r--r--jjb/vvp/pre-build-csv.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/jjb/vvp/pre-build-csv.sh b/jjb/vvp/pre-build-csv.sh
index b90f77b86..09b1278ba 100644
--- a/jjb/vvp/pre-build-csv.sh
+++ b/jjb/vvp/pre-build-csv.sh
@@ -1,11 +1,10 @@
#!/bin/bash
-virtualenv -p python3 $WORKSPACE/venv-tox
+virtualenv -p python3.6 $WORKSPACE/venv-tox
source $WORKSPACE/venv-tox/bin/activate
pip3 install --upgrade pip
pip3 install --no-use-pep517 -r requirements.txt
ls
-wget -O $WORKSPACE/ice_validator/heat_requirements.json "https://nexus.onap.org/content/sites/raw/org.onap.vnfrqts.requirements/master/needs.json"
-echo "Copied newest needs."
+wget -O docs/data/needs.json "https://nexus.onap.org/content/sites/raw/org.onap.vnfrqts.requirements/master/needs.json" && echo "Copied newest needs." || exit 1
cd ice_validator/
pytest --self-test tests/ \ No newline at end of file